Package ru.bitel.bgbilling.apps.inet.accounting.recalculate.event

# Class InetRecalculateCurrentMonthBeforeDayEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.apps.inet.accounting.recalculate.event.InetRecalculateBaseEvent
ru.bitel.bgbilling.apps.inet.accounting.recalculate.event.InetRecalculateCurrentMonthBeforeDayEvent

All Implemented Interfaces:
  `Serializable`

public class InetRecalculateCurrentMonthBeforeDayEvent extends InetRecalculateBaseEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InetRecalculateCurrentMonthBeforeDayEvent()`
  ``
  `InetRecalculateCurrentMonthBeforeDayEvent(int moduleId, Date month, Integer day, int applicationId, int idDivisor, int idRemainder, Set<Integer> cids, int requestIndex)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.apps.inet.accounting.recalculate.event.InetRecalculateBaseEvent

  `getApplicationId, getCids, getDay, getIdDivisor, getIdRemainder, getMonth, getRequestIndex, prepareMessage, setDay`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetRecalculateCurrentMonthBeforeDayEvent

    protected InetRecalculateCurrentMonthBeforeDayEvent()

  - ### InetRecalculateCurrentMonthBeforeDayEvent

    public InetRecalculateCurrentMonthBeforeDayEvent(int moduleId, Date month, Integer day, int applicationId, int idDivisor, int idRemainder, Set<Integer> cids, int requestIndex)